<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('shop_agent_qrcodes', function (Blueprint $table) {
            $table->enum('type', ['MP','H5'])->default("MP")->comment("类型，H5:经销商端，MP:用户端")->after("shop_id");
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('shop_agent_qrcodes', function (Blueprint $table) {
            $table->dropColumn('type');
        });
    }
};
